net.dontdrinkandroot.cluster.edgebetweenness

## Class DefaultEdgeBetweennessClusterer<V,E>

- java.lang.Object
- - net.dontdrinkandroot.cluster.edgebetweenness.AbstractEdgeBetweennessClusterer<V,E>
  - - net.dontdrinkandroot.cluster.edgebetweenness.DefaultEdgeBetweennessClusterer<V,E>

All Implemented Interfaces:
  EdgeBetweennessClusterer<V,E>

    public class DefaultEdgeBetweennessClusterer<V,E>
    extends AbstractEdgeBetweennessClusterer<V,E>

### Constructor Summary

Constructors
Constructor and Description
`DefaultEdgeBetweennessClusterer(edu.uci.ics.jung.graph.Graph<V,E> graph, org.apache.commons.collections15.Transformer<E,Double> weightTransformer)`

### Method Summary

Methods
`protected void` `doCompute()`

### Methods inherited from class net.dontdrinkandroot.cluster.edgebetweenness.AbstractEdgeBetweennessClusterer

`compute, getEdgeScorer, getEdgeScores, getGraph, getLogger, getMaxEdges, getMaxVertices, getVertexScorer, getVertexScores, getWeightTransformer, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEdgeBetweennessClusterer

    public DefaultEdgeBetweennessClusterer(edu.uci.ics.jung.graph.Graph<V,E> graph,
                                   org.apache.commons.collections15.Transformer<E,Double> weightTransformer)

### Method Detail

#### doCompute

    protected void doCompute()

Specified by:
  `doCompute` in class `AbstractEdgeBetweennessClusterer<V,E>`